# Jrebel热部署配置
## 1.本地Jrebel热部署配置
(1)从Plugins下载jrebel

![](/assets/jrebel-01.png)

(2)激活jrebel

用faceBook 或Twitter登陆[https://my.jrebel.com/](https://my.jrebel.com/)可以免费获得一个code用来激活jrebel。

![](/assets/jrebel-03.png)

(3)配置本地jrebel

本地热部署需要生成一个rebel.xml，可以通过选择当前工程，右键后移到最下方jrebel来生成一个rebel.xml。

![](/assets/jrebel-04.png)

rebel.xml配置文件如下所示。
![](/assets/jrebel-05.png)

注意：这边需要选择target/core/WEB-INF/classes

![](/assets/jrebel-06.png)

配置完成后你可以通过右边的按钮进行启动，最右边的那个按钮是同步到服务器上。
通过jrebel启动成功控制台会打印如下信息。

![](/assets/jrebel-07.png)

每当修改之后你可以通过左边的按钮进行热部署，jrebel热部署成功会打印如下的信息。

![](/assets/jrebel-08.png)

## 2.服务器jrebel热部署配置
服务器上配置你可以从jrebel的startup中选择对应的操作系统和环境，它会给出具体的配置信息。

![](/assets/jrebel-09.png)

这边说下linux下环境的配置：

(1)从[http://dl.zeroturnaround.com/jrebel-stable-nosetup.zip](http://dl.zeroturnaround.com/jrebel-stable-nosetup.zip)下载压缩文件，解压缩到服务器上。

![](/assets/jrebel-10.png)

(2)进入jrebel/bin目录运行activate.sh 用来激活jrebel，激活命令./activate.sh  ${code}。
${code}为你激活本地jrebel时注册的code。

(3)进入tomcat/bin目录新建一个catalina-jreble.sh，文件信息如下，红色部分为上面压缩包解压缩的路径。
![](/assets/jrebel-12.png)

(4)运行./Catalina-jrebel.sh run 来启动tomcat。
进入idea Setting 进行测试是否连接成功，如果成功则会出现connection successful。
![](/assets/jrebel-13.png)

(5)打开jrebel panel，第一个勾为本地的jrebel，勾上会生成rebel.xml。第二个勾为jrebel同步服务器，会生成一个rebel-remote.xml。

![](/assets/jrebel-14.png)
![](/assets/jrebel-15.png)

注意：这边如果取消勾选，这两个配置文件会消失，下次要使用时你可能需要重新配置对应的xml文件

(6)打包发布到服务器上，用catalina-jrebel.sh run运行tomcat，这边服务器上的rebel.xml需要修改下配置，下面是服务器上rebel.xml的配置文件信息。
![](/assets/jrebel-16.png)

修改同步成功后你可以在jrebel.console看到如下的信息。服务器上jreble运行的信息你可能需要进入.jrebel隐藏文件，tail -f jrebel.log来进行查看。
![](/assets/jrebel-17.png)






### 

